Skip to main content
GET
/
api2
/
v1
/
jobs
/
{jobUid}
/
conversations
/
plains
List plain conversations
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/jobs/{jobUid}/conversations/plains \
  --header 'Authorization: <api-key>'
{
  "conversations": [
    {
      "comments": [
        {
          "createdBy": {
            "unavailable": true,
            "email": "<string>",
            "firstName": "<string>",
            "id": "<string>",
            "jobRoles": [
              {
                "workflowStep": {
                  "abbreviation": "<string>",
                  "id": 123,
                  "name": "<string>",
                  "workflowLevel": 123,
                  "workflowStep": {
                    "id": "<string>",
                    "lqaEnabled": true,
                    "name": "<string>",
                    "order": 123,
                    "uid": "<string>"
                  }
                }
              }
            ],
            "lastName": "<string>",
            "uid": "<string>",
            "userName": "<string>"
          },
          "dateCreated": "2023-11-07T05:31:56Z",
          "dateModified": "2023-11-07T05:31:56Z",
          "id": "<string>",
          "mentions": [
            {
              "mentionableGroup": {
                "groupName": "<string>",
                "groupReference": {
                  "uid": "<string>"
                }
              },
              "tag": "<string>",
              "uidReference": {
                "uid": "<string>"
              },
              "userReferences": [
                {
                  "unavailable": true,
                  "email": "<string>",
                  "firstName": "<string>",
                  "id": "<string>",
                  "jobRoles": [
                    {
                      "workflowStep": {
                        "abbreviation": "<string>",
                        "id": 123,
                        "name": "<string>",
                        "workflowLevel": 123,
                        "workflowStep": {
                          "id": "<string>",
                          "lqaEnabled": true,
                          "name": "<string>",
                          "order": 123,
                          "uid": "<string>"
                        }
                      }
                    }
                  ],
                  "lastName": "<string>",
                  "uid": "<string>",
                  "userName": "<string>"
                }
              ]
            }
          ],
          "text": "<string>"
        }
      ],
      "createdBy": {
        "unavailable": true,
        "email": "<string>",
        "firstName": "<string>",
        "id": "<string>",
        "jobRoles": [
          {
            "workflowStep": {
              "abbreviation": "<string>",
              "id": 123,
              "name": "<string>",
              "workflowLevel": 123,
              "workflowStep": {
                "id": "<string>",
                "lqaEnabled": true,
                "name": "<string>",
                "order": 123,
                "uid": "<string>"
              }
            }
          }
        ],
        "lastName": "<string>",
        "uid": "<string>",
        "userName": "<string>"
      },
      "dateCreated": "2023-11-07T05:31:56Z",
      "dateEdited": "2023-11-07T05:31:56Z",
      "dateModified": "2023-11-07T05:31:56Z",
      "deleted": true,
      "id": "<string>",
      "references": {
        "segmentId": "<string>",
        "transGroupId": 1,
        "commentedText": "<string>",
        "conversationTitle": "<string>",
        "conversationTitleOffset": 1,
        "correlation": {
          "role": "PARENT",
          "uid": "<string>"
        },
        "jobPartUid": "<string>",
        "taskId": "<string>"
      },
      "status": {
        "by": {
          "unavailable": true,
          "email": "<string>",
          "firstName": "<string>",
          "id": "<string>",
          "jobRoles": [
            {
              "workflowStep": {
                "abbreviation": "<string>",
                "id": 123,
                "name": "<string>",
                "workflowLevel": 123,
                "workflowStep": {
                  "id": "<string>",
                  "lqaEnabled": true,
                  "name": "<string>",
                  "order": 123,
                  "uid": "<string>"
                }
              }
            }
          ],
          "lastName": "<string>",
          "uid": "<string>",
          "userName": "<string>"
        },
        "date": "2023-11-07T05:31:56Z"
      },
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

jobUid
string
required

UID of the job

Query Parameters

includeDeleted
boolean
default:false

Include conversations flagged for deletion

since
string

Return only conversations created after this date, in ISO 8601 UTC format (e.g. 2024-07-21T10:15:27.819Z)

Response

OK

conversations
object[]

List of plain conversations